#include <bits/stdc++.h>

using namespace std;
long long N,M,a; //a je broj redara
int main()
{
  cin >> N >>M;
    if(N==1 and M==1)a=1;
    else if(N==1 or M==1)a=N*M;
    else if(a%2==0)a=2*N+2*M-4+((N-2)*(M-2)/2);
     else if(a%2==1)a=2*N+2*M-4+(((N-2)*(M-2)-1)/2);
    
  cout << a;

    return 0;
}